hifrog - Bug #4679

VERIFICATION FAILED for /main-bench/TACAS17_ex/ex1_lra.c
06/03/2017 22:09 - Sepideh Asadi

Status: Closed Start date: 06/03/2017
Priority: Normal Due date:

Assignee: Karine Even Mendoza % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

/hifrog ~/dev/hi-bench/main-bench/TACAS17_ex/ex1_lIra.c --claim 1 --logic gflra

Violated assertion at:

file "/home/sepid/dev/hi-bench/main-bench/TACAS17_ex/ex1_lIra.c",
function "main",

line 20:

a>=0

VERIFICATION FAILED

A real bug found.

Initial unwinding bound: 4294967295
Total number of steps: 1

Unwinding depth: 1 (2)

History

#1 - 06/03/2017 22:15 - Sepideh Asadi
./hifrog ~/dev/hi-bench/main-bench/TACAS17_ex/ex1_lIra.c --claim 1 --logic prop

ex1_Ira.c also fails in propositional logic.

#2 - 07/03/2017 09:39 - Sepideh Asadi

- Subject changed from VERIFICATION FAILED to VERIFICATION FAILED for /main-bench/TACAS17_ex/ex1_lIra.c

#3 - 07/03/2017 18:17 - Karine Even Mendoza
- Assignee set to Karine Even Mendoza

- % Done changed from 0 to 50

The original benchmark is:
unsigned int nondetUInt();

int sum () {

int s=0;

unsigned n;

for (inti=0;i<1000;i++) {
n = nondetUInt();

S=S+N;

}

return s;

}

int main() {
inta,b,c;

a=sum() ;
assert (a>=0) ;

b=sum{() ;
assert (b>=0) ;

c=atb;

assert (c>=0) ;

}
The Ira version return UNSAT, use this command: ./../hifrog_theory_ref/hifrog/trunk/cprover/src/funfrog/hifrog main-bench/TACAS17_ex/ex1_lIra.c
--claim 1 --logic gflra --type-constraints 1

In prop, not sure if possible. Help? someone remember what we wanted to do here?

#4 - 09/03/2017 20:52 - Karine Even Mendoza
- % Done changed from 50 to 100

seems to be just fine now

#5 - 14/03/2017 14:36 - Karine Even Mendoza

- Status changed from New to Closed
